Bug 222527 - x11-toolkits/ocaml-labltk: available for tcl/tk 8.6
Summary: x11-toolkits/ocaml-labltk: available for tcl/tk 8.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-23 08:53 UTC by 1wkmmr
Modified: 2018-11-22 15:52 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (michipili)


Attachments
A patch file for Makefile (268 bytes, patch)
2017-09-23 08:53 UTC, 1wkmmr
no flags Details | Diff
Change Tk version to 85+ and bump PORTREVISION (491 bytes, patch)
2017-09-26 23:23 UTC, rkoberman
rkoberman: maintainer-approval? (michipili)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description 1wkmmr 2017-09-23 08:53:12 UTC
Created attachment 186630 [details]
A patch file for Makefile

Hi, 

Compiling the following port on my 11.1-STABLE amd64 machine causes another installation of tck/tk8.5 as dependency. 

 $FreeBSD: head/x11-toolkits/ocaml-labltk/Makefile 385412 2015-05-04 15:39:41Z madpilot $

 FreeBSD dhcp34.tmnetwork.local 11.1-STABLE FreeBSD 11.1-STABLE #1 r323841


However, the dependency is outdated today because Tcl/Tk 8.6 was released in 2012, and labltk-8.06.0 requires Tcl/Tk 8.0.3 or later as described in README.mlTk released in 2014. 

In practice, I have compiled this port using tcl/tk 8.6 without error. 

Here, I enclose a patch to Makefile for workaround.

Please check it out, and commit it if appropriate.

Cheers
Comment 1 rkoberman 2017-09-26 23:23:54 UTC
Created attachment 186749 [details]
Change Tk version to 85+ and bump PORTREVISION

Cleanup for upcoming removal of tcl/tk 8.4. Also, bump PORTREVISION.
Comment 2 commit-hook freebsd_committer 2018-11-22 15:50:41 UTC
A commit references this bug:

Author: tobik
Date: Thu Nov 22 15:49:47 UTC 2018
New revision: 485603
URL: https://svnweb.freebsd.org/changeset/ports/485603

Log:
  x11-toolkits/ocaml-lablgl supports Tcl/Tk 8.6 too

  PR:		222527

Changes:
  head/graphics/ocaml-lablgl/Makefile
Comment 3 Tobias Kortkamp freebsd_committer 2018-11-22 15:52:35 UTC
Also ports r485602.